<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?=htmlspecialchars($title);?> – Stafett for livet</title>

    <link rel="stylesheet" href="<?=$this->config['root_url']?>static/style/main.css">
<body>

    <div id="header">
        <a href="<?=$this->config['root_url']?>">Stafett for livet tellesystem</a>
    </div>

    <hr class="hidden">

    <div id="menu">
        <small>

            <?php if ($this->user->loggedIn): ?>
                <span><?=htmlspecialchars($this->user->username)?></span>
                <a href="<?=$this->config['root_url']?>logout.php">Logg ut</a>
            <?php else: ?>
                <span>Ikke pålogget</span>
                <a href="<?=$this->config['root_url']?>login.php">Logg inn</a>
            <?php endif; ?>

        </small>
    </div>

    <hr class="hidden">

    <div id="container"> 

        <div id="nav">
            <ul>
                <li><a href="<?=$this->config['root_url']?>index.php">Forside</a></li>
                <li><a href="<?=$this->config['root_url']?>login.php">Logg inn</a></li>
                <li><a href="<?=$this->config['root_url']?>example.php">Eksempel</a></li>
            </ul>
        </div>

        <hr class="hidden">

        <div id="main">
            <?php
            // Display flashed messages
            $msgs = $this->session->getFlashedMessages();
            if ($msgs)
            {
                foreach ($msgs as $msg)
                {
                    echo "<div class=\"alert {$msg["type"]}\">{$msg["message"]}</div>";
                }
            }
            ?>